require 'logger'
require 'date'
require 'savon'

module Wedoops
    module MasmovilSmsclient
        class Client

            def initialize(options={})
                @logger = Logger.new(STDOUT)      
                initialize_client
            end


            private

            def initialize_client
                @client = Savon.client do
                    wsdl 'https://websms.xtratelecom.es/api_php/server.wsdl'
                    pretty_print_xml true
                    #convert_request_keys_to :camelcase
                    log false
                    log_level :info
                end
            end


        end
    end
end